function kern = biasKernParamInit(kern)

% BIASKERNPARAMINIT bias kernel parameter initialisation.
%
% kern = biasKernParamInit(kern)
%

% Copyright (c) 2005 Neil D. Lawrence
% biasKernParamInit.m version 1.3



kern.variance = exp(-2);
kern.nParams = 1;

kern.transforms.index = 1;
kern.transforms.type = 'negLogLogit';
