function k = sqexpKernDiagCompute(kern, x)

% SQEXPKERNDIAGCOMPUTE Compute diagonal of squared exponential kernel.
%
% k = sqexpKernDiagCompute(kern, x)
%

% Copyright (c) 2005 Neil D. Lawrence
% sqexpKernDiagCompute.m version 1.3



k = repmat(kern.rbfVariance+kern.whiteVariance, size(x, 1), 1)  + kern.biasVariance;
